declare_plugin("Type 055 Destroyer",

{
image     	 = "LCS.bmp",
installed 	 = true, 
dirName	  	 = current_mod_path,

fileMenuName = _("Type 055"),
version		 = "1.0.0",		 
state		 = "installed",
info		 = _("The Type 055 destroyer (NATO/OSD Renhai-class cruiser) is a class of stealth guided-missile destroyers (guided-missile cruisers per NATO/OSD standard) being constructed for the Chinese People's Liberation Army Navy. It is a multi-mission design; the combination of sensors and weapons suggests a main role of area air defence, with anti-submarine warfare capabilities surpassing previous Chinese surface combatants."),

encyclopedia_path = current_mod_path .. '/Encyclopedia',
})

---General
mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_model_path	(current_mod_path.."/Shapes/")
mount_vfs_texture_path  (current_mod_path.."/Textures/")

-- sensors
dofile(current_mod_path.."/Database/Sensors/Type055_sensors.lua")

--Weapons
dofile(current_mod_path..'/Database/Weapons/Type055_YJ-18.lua')
dofile(current_mod_path..'/Database/Weapons/Type055_YJ-21.lua')
dofile(current_mod_path..'/Database/Weapons/Type055_CJ-10.lua')
dofile(current_mod_path..'/Database/Weapons/Type055_HHQ-9.lua')
dofile(current_mod_path..'/Database/Weapons/Type055_HHQ-10.lua')

--Ship
dofile(current_mod_path..'/Database/Navy/Type055.lua')

plugin_done()
 
